> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a business preset



## OpenAPI

````yaml /spec/openapi.json put /business_presets/{business_preset}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /business_presets/{business_preset}:
    put:
      tags:
        - Business Presets
      summary: Update a business preset
      operationId: business-presets-update
      parameters:
        - name: business_preset
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                keep_existing_values:
                  type: string
                  description: >-
                    Controls which preset values should be kept or updated on
                    entities created from the preset when that value is updated
                    on the preset. Defaults to `none`.
                  enum:
                    - all
                    - in_sync
                    - non_null
                    - none
                    - out_of_sync
                name:
                  type: string
                  maxLength: 255
                name_translations:
                  type: object
                  description: Optional translations for the `name` property.
                  allOf:
                    - $ref: '#/components/schemas/Translations'
                  nullable: true
                title:
                  type: string
                  nullable: true
                  maxLength: 255
                title_translations:
                  type: object
                  description: Optional translations for the `title` property.
                  allOf:
                    - $ref: '#/components/schemas/Translations'
                  nullable: true
                remittance_account_id:
                  type: string
                expense_accounting_code_id:
                  type: string
                liability_accounting_code_id:
                  type: string
                income_basis:
                  type: string
                  enum:
                    - all_earnings
                    - none
                    - regular_earnings
                    - total_income
                income_includes:
                  type: array
                  items:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - allowance
                          - earning
                          - employer_benefit
                          - reimbursement
                      subtype:
                        type: string
                external_ref:
                  type: string
                  maxLength: 255
            example:
              title: Holiday Bonus
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"business_preset"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/BusinessPreset'
              example:
                id: <id>
                object: business_preset
                data:
                  business_entity:
                    id: <id>
                    object: business_entity
                    links:
                      self: /business_entities/<id>
                  name: Business Preset 08a620c8-1d8a-3f0c-9475-963b2e8a0d49
                  name_translations: null
                  name_translated: Business Preset 08a620c8-1d8a-3f0c-9475-963b2e8a0d49
                  title: Holiday Bonus
                  title_translations: null
                  title_translated: Holiday Bonus
                  type: earning
                  subtype: bonus_discretionary
                  remittance_account: null
                  is_managed: false
                  expense_accounting_code: null
                  liability_accounting_code: null
                  income_basis: null
                  income_includes: []
                  external_ref: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /business_presets/<id>
components:
  schemas:
    Translations:
      type: object
      nullable: true
      properties:
        en:
          type: string
          maxLength: 255
        fr:
          type: string
          maxLength: 255
    BusinessPreset:
      type: object
      title: Business Preset
      properties:
        business_entity:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"business_entity"`).
              readOnly: true
        name:
          type: string
          maxLength: 255
        name_translations:
          type: object
          description: Optional translations for the `name` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        name_translated:
          type: string
          description: >-
            The translation of the `name` property for the request locale.
            Computed using the values in `name` and `name_translations` and the
            value of the request's `Accept-Language` header.
          readOnly: true
        title:
          type: string
          nullable: true
        title_translations:
          type: object
          description: Optional translations for the `title` property.
          allOf:
            - $ref: '#/components/schemas/Translations'
          nullable: true
        title_translated:
          type: string
          description: >-
            The translation of the `title` property for the request locale.
            Computed using the values in `title` and `title_translations` and
            the value of the request's `Accept-Language` header.
          readOnly: true
        type:
          type: string
          maxLength: 255
        subtype:
          type: string
          nullable: true
          maxLength: 255
        remittance_account: {}
        is_managed:
          type: boolean
          description: >-
            If true, this is a default Business Preset and can not be deleted,
            `title` and `remittance_account` may be set.
        expense_accounting_code: {}
        liability_accounting_code: {}
        income_basis:
          type: string
          nullable: true
          enum:
            - all_earnings
            - none
            - regular_earnings
            - total_income
        income_includes:
          type: object
          nullable: true
        external_ref:
          type: string
          description: >-
            A reference to the object in an external system, e.g. the primary
            key of the object in your application's database. Nmbr doesn't use,
            validate, parse, or require this value to be unique - it simply
            stores it for your reference.
          nullable: true
          maxLength: 255
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````